# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1

MY_PN="${PN/-/.}"
MY_P="${MY_PN}-${PV}"

S="${WORKDIR}/${MY_P}"

DESCRIPTION="Python library to simplify working with jsonlines and ndjson data"
HOMEPAGE="https://github.com/pganssle/zoneinfo"
SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="
	dev-python/backports[${PYTHON_USEDEP}]
"

RDEPEND="
	sys-libs/timezone-data
	dev-python/backports[${PYTHON_USEDEP}]
	$(python_gen_cond_dep 'dev-python/importlib_resources[${PYTHON_USEDEP}]' python3_6)
"

distutils_enable_tests pytest
distutils_enable_sphinx doc

python_install() {
	distutils-r1_python_install

	rm "${D}/$(python_get_sitedir)"/backports/__init__.py* || die
	rm -rf "${D}/$(python_get_sitedir)"/backports/__pycache__ || die
}
