EAPI=7

PYTHON_COMPAT=( python3_9 )
inherit distutils-r1

MY_PN="${PN/-/.}"
MY_P="${MY_PN}-${PV}"
S="${WORKDIR}/${MY_P}"

MY_PN_PATH="${PN/-//}"

DESCRIPTION=""
HOMEPAGE=""
SRC_URI="https://embe.bzium.org/lister/${MY_P}.tar.gz"

LICENSE="MIT OFL-1.1"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="
	dev-python/flask[${PYTHON_USEDEP}]
	dev-python/toml[${PYTHON_USEDEP}]
	dev-python/jinja[${PYTHON_USEDEP}]
	dev-python/PyICU[${PYTHON_USEDEP}]
"

python_prepare_all()
{
	distutils-r1_python_prepare_all

	sed -i -r -e "s@'(static|templates)/\*'(, *)?@@g" setup.py || die
}

python_install()
{
	distutils-r1_python_install

	ln -s "${EPREFIX}/usr/share/${PN}/"{static,templates} "${ED}/$(python_get_sitedir)/${MY_PN_PATH}"/
}

python_install_all()
{
	distutils-r1_python_install_all

	insinto "${EPREFIX}/usr/share/${PN}"
	doins -r "${MY_PN_PATH}"/{static,templates}
}
